Qt 5.11 | Qt GUI | C++ Classes | AvailableSizesArgument

Qt 5.11.3 Reference Documentation

# AvailableSizesArgument Class

(QIconEngine::AvailableSizesArgument)

Header: | #include <AvailableSizesArgument>
qmake: | QT += gui
Since: | Qt 4.5

- List of all members, including inherited members

## Public Variables

QIcon::Mode | mode
QList<QSize> | sizes
QIcon::State | state

## Detailed Description

This struct represents arguments to virtual_hook() function when id parameter is QIconEngine::AvailableSizesHook.

See also virtual_hook() and QIconEngine::IconEngineHook.

## Member Variable Documentation

### QIcon::Mode AvailableSizesArgument::mode

This variable holds the requested mode of an image.

See also QIcon::Mode.

### QList<QSize> AvailableSizesArgument::sizes

image sizes that are available with specified mode and state. This is an output parameter and is filled after call to virtual_hook(). Engines that work in terms of a scalable, vectorial format normally return an empty list.

### QIcon::State AvailableSizesArgument::state

This variable holds the requested state of an image.

See also QIcon::State.